%define languageenglazy Lingala
%define languagecode    ln
%define lc_ctype        ln_CD

Name:           hunspell-%{languagecode}
Version:        0.02
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://lingala.sourceforge.net/
Source0:        https://downloads.sourceforge.net/lingala/hunspell-ln-0.02.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p ln_CD.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ln_CD.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ln_CD.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.02-14.mga10
+ Revision: 2197121
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.02-13.mga9
+ Revision: 1801316
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.02-12.mga8
+ Revision: 1490932
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.02-11.mga7
+ Revision: 1262699
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.02-10.mga6
+ Revision: 942530
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.02-9.mga5
+ Revision: 749237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.02-8.mga5
+ Revision: 680267
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.02-7.mga4
+ Revision: 505798
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.02-6.mga3
+ Revision: 353542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.02-5.mga3
+ Revision: 325567
- rebuild for Mga3 Beta1

* Sat Feb 04 2012 kamil <kamil> 0.02-4.mga2
+ Revision: 204374
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.02-3.mga1
+ Revision: 68914
- imported package hunspell-ln


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 26 2009 Caolan McNamara <caolanm@redhat.com> - 0.02-1
- initial version
